Skip to main content

Get Rule Sets

GET 

/v1/sandbox/:sandbox_id/inventory-bucket-use-rule-set

Get Inventory Bucket Use Rule Sets by filters. All filters must be true for an Inventory Bucket Use Rule Sets to be returned. Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    inventory_bucket_use_rule_set_ids uuid[]

    Inventory Bucket Use Rule Set IDs to filter by

    legacy_inventory_bucket_use_rule_set_ids integer[]

    Legacy Inventory Bucket Use Rule Set IDs to filter by

    name Name

    Possible values: non-empty and <= 128 characters

    Filter by case insensitive name

    last_modified_account_ids uuid[]

    Filter by last modified account ID

    sort_by any

    Sort results by

    sort_order any

    Sort order

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

Responses

Successful Response

Schema

    data

    object[]

    The Inventory Bucket Use Rule Sets.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    rules

    object

    The Inventory Bucket Use Rules by Inventory Bucket.

    property name*

    Inventory Bucket (string)[]

    Possible values: [free, sweat, none, anon, amazon, steam, psn, xbox_live, google, twitch, nintendo_switch, apple, nintendo, epic, google_play, nintendo_ppid]

  • Array [

  • string

    Possible values: [free, sweat, none, anon, amazon, steam, psn, xbox_live, google, twitch, nintendo_switch, apple, nintendo, epic, google_play, nintendo_ppid]

  • ]

  • sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    rule_set_id uuidrequired

    The Inventory Bucket Use Rule Set ID.

    legacy_rule_set_id Legacy Rule Set Id (integer)required

    The Legacy Inventory Bucket Use Rule Set ID.

  • ]

  • page_meta

    object

    required

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    page_size Page Size (integer)

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    total Total (integer)

    Default value: 0

    The total number of entities.

Loading...